"use strict";

const element = document.querySelector('.disc');
let index = 0;

document.addEventListener('mousemove', mouseMoveAction );
document.addEventListener('keydown', keyDownAction );


function mouseMoveAction(event) {
  const x = event.clientX;
  const y = event.clientY;

  element.style.transform = `translate(${x-50}px, ${y-50}px)`;
}

function keyDownAction(event) {

  if( event.key ==' ') {

    if(index===0){
      element.style.backgroundColor = "yellow";
    }
    else if(index===1) {
      element.style.backgroundColor = "red";
    }
    else {
      element.style.backgroundColor = "green";
    }
    index = (index+1)%3;
  }

}



